class MickeyGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)
  argument :install, :type => :array, :default => ['brakeman', 'eslint', 'rubocop', 'simplecov']

  def add_to_gemfile
    gem 'gergich'
  end

  def generate_files
    app_name = Rails.application.class.parent_name
    generate "docker", app_name
    generate "simplecov" if install.include?('simplecov')
    generate "rubocop" if install.include?('rubocop')
    generate "brakeman" if install.include?('brakeman')
    generate "eslint" if install.include?('eslint')
    generate "jenkins", "features #{install.join(' ')}"
    generate "build"
    inside Rails.root do
      run "bundle install"
    end
  end
end
