class RubocopGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)

  def add_to_gemfile
    gem "rubocop", group: [:development, :test]
  end

  def create_yaml_file
        create_file ".rubocop.yml",
<<-FILE
AllCops:
  Exclude:
    - 'db/schema.rb'
    - 'config/development-local.rb'
    - 'bin/**/*'
Metrics/LineLength:
  Max: 120
Style/Documentation:
  Enabled: false
Metrics/BlockLength:
  Exclude:
    - 'spec/**/*'
Style/FrozenStringLiteralComment:
  Enabled: false
Style/SymbolArray:
  Enabled: false
FILE
    end

end
