class SimplecovGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)

  def add_to_gemfile
    gem "simplecov", group: [:development, :test]
  end

  def add_to_rails_helper
    inject_into_file 'spec/rails_helper.rb', after: "ActiveRecord::Migration.maintain_test_schema!\n" do <<-'RUBY'

require 'simplecov'
SimpleCov.minimum_coverage 90
SimpleCov.minimum_coverage_by_file 80
SimpleCov.start do
  add_filter 'config/routes.rb'
  add_filter 'config/initializers/'
end
    RUBY
    end
  end

end
